const express = require('express')

const router = express.Router()
const authRouter = require('./auth.route')
const ProfileRouter = require('../../modules/profile/routes/profile.route')
const AbsensRouter = require('../../modules/absensi/routes/absensi.route')
const BranchRouter = require('../../modules/branch/routes/branch.route')
const userManagement = require('./userManagement.route')

router.use('/auth', authRouter)
router.use('/profiles', ProfileRouter)
router.use('/attedances', AbsensRouter)
router.use('/branches', BranchRouter)
router.use('/user-management', userManagement)

module.exports = router
